import dynamix_sdk.base as _base


class CloudbrokerNodeUpdateDescriptionResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerNodeUpdateDescriptionProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def update_description(
        self,
        *,
        node_id: int,
        description: str,
    ) -> CloudbrokerNodeUpdateDescriptionResultBool:
        ...
